Delete draft
DELETE
/v1/mailboxes/{mailbox_id}/drafts/{draft_id}Deleting a draft does not affect an email that has already been queued.
Authentication and access · Errors and retries
Request
curl -X DELETE 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/drafts/<draft_id>' \ -H 'Authorization: Bearer <access_token>'Parameters
mailbox_idpathNecessarilyintegerdraft_idpathNecessarilystring · uuidX-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
object
deletedboolean
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject